## icedtea-web 1.5

=== tests/reproducers/custom/AppletExtendsFromOutsideJar/srcs/Makefile ===
TESTNAME=AppletExtendsFromOutsideJar

SRC_FILES=AppletReferenceInSameJar.java AppletReferenceOutOfJar.java Referenced.java
JAR_FILES=AppletReferenceInSameJar.class Referenced.class
OUTER_FILE=AppletReferenceOutOfJar.class

JAVAC_CLASSPATH=$(TEST_EXTENSIONS_DIR):$(NETX_DIR)/lib/classes.jar
JAVAC=$(BOOT_DIR)/bin/javac
JAR=$(BOOT_DIR)/bin/jar

TMPDIR:=$(shell mktemp -d)

prepare-reproducer:
	echo PREPARING REPRODUCER $(TESTNAME) in $(TMPDIR)
	
	$(JAVAC) -d $(TMPDIR) -classpath $(JAVAC_CLASSPATH) $(SRC_FILES)
	
	cd $(TMPDIR); \
	$(JAR) cvf $(TESTNAME).jar $(JAR_FILES); \
	mv $(OUTER_FILE) $(REPRODUCERS_TESTS_SERVER_DEPLOYDIR); \
	mv $(TESTNAME).jar $(REPRODUCERS_TESTS_SERVER_DEPLOYDIR); 
	
	echo PREPARED REPRODUCER $(TESTNAME), removing $(TMPDIR)
	rm -rf $(TMPDIR)

clean-reproducer:
	echo NOTHING TO CLEAN FOR $(TESTNAME)

=== tests/reproducers/custom/AppletFolderInArchiveTag/srcs/Makefile ===
TESTNAME=AppletFolderInArchiveTag
ARCHIVE_TEST_FOLDER=archive_tag_folder_test
JAVAC_CLASSPATH=$(TEST_EXTENSIONS_DIR):$(NETX_DIR)/lib/classes.jar
DEPLOY_SUBDIR=$(REPRODUCERS_TESTS_SERVER_DEPLOYDIR)/$(ARCHIVE_TEST_FOLDER)
INDEX_HTML_BODY="<html><body><h1>Required to recognize folder structure</h1></body></html>"

prepare-reproducer:
	echo PREPARING REPRODUCER $(TESTNAME)
	mkdir -p $(DEPLOY_SUBDIR)
	echo $(INDEX_HTML_BODY) > $(DEPLOY_SUBDIR)/index.html
	$(EXPORTED_JAVAC) -classpath $(JAVAC_CLASSPATH) -d $(DEPLOY_SUBDIR) $(TESTNAME).java
	echo PREPARED REPRODUCER $(TESTNAME)

clean-reproducer:
	echo CLEANING REPRODUCER $(TESTNAME)
	rm -rf $(DEPLOY_SUBDIR)
	echo CLEANED REPRODUCER $(TESTNAME)

## icedtea-web 1.1.3

=== debian/changelog ===
icedtea-web (1.1.3-1ubuntu1) oneiric; urgency=low

  * Rebuild the control file.
  * Fix non multiarch installation.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 29 Sep 2011 15:46:00 +0200

icedtea-web (1.1.3-1) unstable; urgency=low

  * New upstream release:
    - Plug-in: PR782: Support building against npapi-sdk as well.
    - Common: PR794: IcedTea-Web does not work if a Web Start app jar has a
      Class-Path element in the manifest (e.g. Elluminate)
  * d/javaws.policy: Use AllPermission for netx.jar (as in Oracle JDK). 
  * Add myself as Uploader.

 -- Damien Raude-Morvan <drazzib@debian.org>  Wed, 28 Sep 2011 23:16:26 +0200

icedtea-web (1.1.2-1) unstable; urgency=low

  * Team upload
  * New upstream release:
    - PR769: IcedTea-Web does not work with some ssl sites with OpenJDK7.
    - Javaws cannot use proxy settings from Firefox.
    (Closes: #640748, #640736, #641038)
  * Drop the dependency on xulrunner (Closes: #636514, #606234, #601779)
  * Fix FTBFS due to the switch to multiarch (Closes: #641798)

  [ Damien Raude-Morvan ]
  * Switch to 3.0 (quilt) format.
  * d/javaws.policy: Allow RuntimePermission for javaws to access
    sun.security.util package.
  * d/patches/javaws_change_java_policy.diff: Loading of javaws.policy.
  * d/rules: Install javaws.policy into /etc/icedtea-web/.

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 22 Sep 2011 10:48:22 +0200

icedtea-web (1.1.1-1ubuntu2) oneiric; urgency=low

  * Updates from the 1.1 branch:
    - PR749: sun.applet.PluginStreamHandler#handleMessage(String) really slow.
    - PR768: Signed applets/Web Start apps don't work with OpenJDK7 and up.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 16 Aug 2011 22:00:46 +0200

icedtea-web (1.1.1-1ubuntu1) oneiric; urgency=low

  * Rebuild the control file.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Jul 2011 13:43:28 +0200

icedtea-web (1.1.1-1) unstable; urgency=high

  * Upload to unstable.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Jul 2011 13:19:00 +0200

icedtea-web (1.1.1-0ubuntu1) natty-security; urgency=high

  * IcedTea-Web 1.1.1 release.
    - CVE-2011-2513: Home directory path disclosure to untrusted applications.
    - CVE-2011-2514: Java Web Start security warning dialog manipulation.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Jul 2011 12:51:46 +0200

icedtea-web (1.1-1ubuntu1) oneiric; urgency=low

  * Rebuild the control file.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 09 Jun 2011 12:03:52 +0200

icedtea-web (1.1-1) unstable; urgency=low

  * IcedTea-Web 1.1 release.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 09 Jun 2011 11:58:59 +0200

icedtea-web (1.1~20110608-1ubuntu1) oneiric; urgency=low

  * Rebuild the control file.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 09 Jun 2011 10:39:20 +0200

icedtea-web (1.1~20110608-1) unstable; urgency=low

  * Update to hg 20110608, taken from the icedtea-web-1.1 release branch.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 08 Jun 2011 22:11:08 +0200

icedtea-web (1.1~20110530-1ubuntu1) oneiric; urgency=low

  * Regenerate the control file.
  * Add other browsers as an alternative to firefox depends. LP: #766559.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 30 May 2011 22:25:14 +0200

icedtea-web (1.1~20110530-1) unstable; urgency=low

  * Update to hg 20110530, taken from the icedtea-web-1.1 release branch.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 30 May 2011 22:08:47 +0200

icedtea-web (1.1~20110510-1) unstable; urgency=low

  * Update to hg 20110510, taken from the icedtea-web-1.1 release branch.
  * Adjust conflicts to the OpenJDK version in unstable.
    Closes: #627779, #626605.
  * Make transitional package architecture independent. Closes: #627745.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 25 May 2011 14:29:42 +0200

icedtea-web (1.1~20110421-1) unstable; urgency=low

  * Update to hg 20110421, taken from the icedtea-web-1.1 release branch.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 21 Apr 2011 19:20:32 +0200

icedtea-web (1.1~20110420-1) experimental; urgency=low

  * Upload to experimental.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 20 Apr 2011 14:33:31 +0200

icedtea-web (1.1~20110420-0ubuntu1) natty; urgency=low

  * Update to hg 20110420.
    - Removes non-distributable pdf documents.
  * Update debian/copyright.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 20 Apr 2011 14:05:16 +0200

icedtea-web (1.1~20110406-0ubuntu2) natty; urgency=low

  * Reapply xulrunner → firefox-dev change from 1.1~20110320-0ubuntu2, which
    were overwritten in the previous upload.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 19 Apr 2011 08:47:28 +0200

icedtea-web (1.1~20110406-0ubuntu1) natty; urgency=low

  * Fix typo in icedtea-netx postinst to install the javaws alternative.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Apr 2011 13:10:44 +0200

icedtea-web (1.1~20110320-0ubuntu2) natty; urgency=low

  * Switch build-depends to firefox-dev for natty. xulrunner is
    being demoted from main  (LP: #740815)
    - update debian/rules
    - update debian/control

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 04 Apr 2011 11:07:15 +0100

icedtea-web (1.1~20110320-0ubuntu1) natty; urgency=low

  * Update to hg 20110320.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 24 Feb 2011 12:57:25 +0100

icedtea-web (1.0~20110122-1) experimental; urgency=low

  * Upload to experimental.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Jan 2011 13:53:14 +0100

icedtea-web (1.0~20110122-0lucid1) lucid; urgency=low

  * Update to hg 20110122.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 22 Jan 2011 21:21:29 +0100

icedtea-web (1.0~20101223-0ubuntu3) natty; urgency=low

  * Fix the armel build.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 24 Dec 2010 12:31:32 +0100

icedtea-web (1.0~20101223-0ubuntu2) natty; urgency=low

  * Build the plugin on armel.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 24 Dec 2010 11:51:37 +0100

icedtea-web (1.0~20101223-0ubuntu1) natty; urgency=low

  * Update to hg 20101223.



=== debian/control ===
Source: icedtea-web
Section: java
Priority: extra
Maintainer: OpenJDK Team <openjdk@lists.launchpad.net>
Uploaders: Matthias Klose <doko@ubuntu.com>, Damien Raude-Morvan <drazzib@debian.org>
Build-Depends: debhelper (>= 5), firefox-dev, openjdk-6-jdk (>= 6b23~pre9~), zip, lsb-release, libgtk2.0-dev, pkg-config, default-jre-headless
Standards-Version: 3.9.2
Homepage: http://icedtea.classpath.org/wiki/IcedTea-Web
Vcs-Bzr: http://bazaar.launchpad.net/~openjdk/openjdk/icedtea-web
Vcs-Browser: https://code.launchpad.net/~openjdk/openjdk/icedtea-web

Package: icedtea-netx
Architecture: any
Depends: ${netx:Depends}, openjdk-6-jre (>= 6b23~pre9~), ${shlibs:Depends}, ${misc:Depends}
Conflicts: openjdk-6-jre (<< 6b18-1.8.7-3), openjdk-6-jre-headless (<< 6b18-1.8.7-3)
Replaces: openjdk-6-jre (<< 6b18-1.8.7-3), openjdk-6-jre-headless (<< 6b18-1.8.7-3)
Description: NetX - implementation of the Java Network Launching Protocol (JNLP)
 NetX provides a drop-in replacement for javaws (Java Web Start). Since
 upstream NetX is dormant, IcedTea is hosting and modifying the sources
 in the IcedTea-Web directory.
 .
 IcedTea's NetX currently supports verification of signed jars, trusted
 certificate storing, system certificate store checking, and provides
 the services specified by the jnlp API.

Package: icedtea-plugin
Section: web
Architecture: any
Depends: openjdk-6-jre, icedtea-netx (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Conflicts: icedtea-gcjwebplugin (<< 1.0-1ubuntu4), icedtea6-plugin (<< 6b18-1.8.7-3)
Replaces: icedtea-gcjwebplugin, openjdk-6-jre (<< 6b18-1.8.7-3), icedtea6-plugin (<< 6b18-1.8.7-3)
Provides: icedtea6-plugin
Xb-Npp-Description: IcedTea6 Java Web Browser Plugin (execution of applets on web pages)
Xb-Npp-Applications: ec8030f7-c20a-464f-9b0e-13a3a9e97384, 92650c4d-4b8e-4d2a-b7eb-24ecf4f6b63a, aa5ca914-c309-495d-91cf-3141bbb04115
Xb-Npp-Name: The IcedTea Web Browser Plugin
Xb-Npp-MimeType: application/x-java-vm, application/x-java-applet, application/x-java-applet;version=1.1, application/x-java-applet;version=1.1.1, application/x-java-applet;version=1.1.2, application/x-java-applet;version=1.1.3, application/x-java-applet;version=1.2, application/x-java-applet;version=1.2.1, application/x-java-applet;version=1.2.2, application/x-java-applet;version=1.3, application/x-java-applet;version=1.3.1, application/x-java-applet;version=1.4, application/x-java-applet;version=1.4.1, application/x-java-applet;version=1.4.2, application/x-java-applet;version=1.5, application/x-java-applet;version=1.6, application/x-java-applet;jpi-version=1.6.0_00, application/x-java-bean, application/x-java-bean;version=1.1, application/x-java-bean;version=1.1.1, application/x-java-bean;version=1.1.2, application/x-java-bean;version=1.1.3, application/x-java-bean;version=1.2, application/x-java-bean;version=1.2.1, application/x-java-bean;version=1.2.2, application/x-java-bean;version=1.3, application/x-java-bean;version=1.3.1, application/x-java-bean;version=1.4, application/x-java-bean;version=1.4.1, application/x-java-bean;version=1.4.2, application/x-java-bean;version=1.5, application/x-java-bean;version=1.6, application/x-java-bean;jpi-version=1.6.0_00
Description: web browser plugin based on OpenJDK and IcedTea to execute Java applets
 IcedTeaPlugin is a web browser plugin to execute Java applets, supporting
 LiveConnect/JavaScript. It is targeted for xulrunner-1.9 and compatible
 browsers that support the NPAPI.

Package: icedtea6-plugin
Section: web
Architecture: all
Depends: icedtea-plugin, ${misc:Depends}
Description: web browser plugin to execute Java applets (dependency package)
 IcedTeaPlugin is a web browser plugin to execute Java applets, supporting
 LiveConnect/JavaScript. It is targeted for xulrunner-1.9 and compatible
 browsers that support the NPAPI.
 .
 This is a dependency package, it can be safely removed after upgrade.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

vafilt = $(subst $(2)=,,$(filter $(2)=%,$(1)))

DPKG_VARS		:= $(shell dpkg-architecture)
DEB_HOST_GNU_TYPE	?= $(call vafilt,$(DPKG_VARS),DEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE	?= $(call vafilt,$(DPKG_VARS),DEB_BUILD_GNU_TYPE)
DEB_HOST_ARCH		?= $(call vafilt,$(DPKG_VARS),DEB_HOST_ARCH)
DEB_HOST_MULTIARCH	?= $(call vafilt,$(DPKG_VARS),DEB_HOST_MULTIARCH)

CHANGELOG_VARS := $(shell dpkg-parsechangelog | sed -n 's/ /_/g;/^[^_]/s/^\([^:]*\):_\(.*\)/\1=\2/p')
PKGSOURCE := $(call vafilt,$(CHANGELOG_VARS),Source)
PKGVERSION := $(call vafilt,$(CHANGELOG_VARS),Version)

distribution := $(shell lsb_release --id --short)
distrel := $(shell lsb_release --codename --short)
ifeq ($(distrel),n/a)
  distrel := sid
endif

multiarch_dir = /$(DEB_HOST_MULTIARCH)
ifneq (,$(DEB_HOST_MULTIARCH))
  ifneq (,$(filter $(distrel),natty oneiric))
    DEB_HOST_MULTIARCH =
    multiarch_dir =
  endif
endif

arch_map	 := alpha=alpha arm=arm armel=arm amd64=amd64 hppa=parisc i386=i586 lpia=i586 m68k=m68k mips=mips mipsel=mipsel powerpc=ppc powerpcspe=ppc ppc64=ppc64 sparc=sparc sparc64=sparc64 sh4=sh s390=s390 s390x=s390x ia64=ia64
archdir_map     := alpha=alpha arm=arm armel=arm amd64=amd64 hppa=parisc i386=i386 lpia=i386 m68k=m68k mips=mips mipsel=mipsel powerpc=ppc powerpcspe=ppc ppc64=ppc64 sparc=sparc sparc64=sparcv9 sh4=sh s390=s390 s390x=s390x ia64=ia64

jvmarch	  := $(strip $(patsubst $(DEB_HOST_ARCH)=%, %, \
			   $(filter $(DEB_HOST_ARCH)=%, $(arch_map))))
archdir	  := $(strip $(patsubst $(DEB_HOST_ARCH)=%, %, \
			   $(filter $(DEB_HOST_ARCH)=%, $(archdir_map))))

TOP = usr/lib/jvm
jdirname = java-$(shortver)-$(origin)
origin = openjdk
basename = openjdk-$(shortver)
ifneq (,$(DEB_HOST_MULTIARCH))
  jdk_home = $(TOP)/java-6-openjdk-$(DEB_HOST_ARCH)
else
  jdk_home = $(TOP)/java-6-openjdk
endif
basedir = $(jdk_home)
vendor = IcedTea
shortver = 6
last_npp_version = 6b18~pre2-2
priority = 1061
plugin_name = IcedTeaPlugin.so

ifneq (,$(filter $(DEB_HOST_ARCH), alpha hppa sparc64)$(filter $(distrel), dapper))
  with_plugin_pkg = no
else ifneq (,$(filter $(DEB_HOST_ARCH)-$(distrel), sparc-hardy sparc-jaunty))
  with_plugin_pkg = no
else
  with_plugin_pkg = yes
endif

ifeq ($(distribution),Debian)
  ifneq (,$(filter $(distrel),lenny))
    bd_plugin = xulrunner-dev (>= 1.9.0),
  else
    bd_plugin = xulrunner-dev (>= 1.9.1.3-3) [!alpha !sparc64],
    #xulrunner_depends = xulrunner-1.9.1
  endif
else
  ifneq (,$(filter $(distrel),gutsy feisty edgy dapper))
    bd_plugin = firefox-dev,
  else ifneq (,$(filter $(distrel),intrepid))
    bd_plugin = xulrunner-1.9-dev,
  else ifneq (,$(filter $(distrel),hardy jaunty))
    # all these use the xulrunner-1.9.2 backports in *-security
    bd_plugin = xulrunner-1.9.2-dev [!sparc],
    xulrunner_depends = xulrunner-1.9.2
  else ifneq (,$(filter $(distrel),karmic lucid maverick))
    # all these use the xulrunner-1.9.2 backports in *-security
    bd_plugin = xulrunner-1.9.2-dev,
    xulrunner_depends = xulrunner-1.9.2
  else
    bd_plugin = firefox-dev,
    xulrunner_depends = firefox (>= 4.0~b7) | chromium-browser | epiphany-browser | midori
  endif
endif

ifeq ($(distribution),Ubuntu)
  ifneq (,$(filter $(distrel),jaunty intrepid hardy gutsy feisty edgy dapper))
    # FIXME: check for every release ...
    browser_plugin_dirs = xulrunner-addons firefox iceape iceweasel mozilla midbrowser xulrunner
  else
    browser_plugin_dirs = mozilla
  endif
else
  browser_plugin_dirs = mozilla
endif

java_launcher = /$(basedir)/bin/java
ifeq ($(distribution),Ubuntu)
  ifeq (,$(filter $(distrel),karmic jaunty intrepid hardy gutsy feisty edgy dapper))
    java_launcher = cautious-launcher %f /$(basedir)/bin/java
  endif
endif

control_vars = \
	'-Vxulrunner:Depends=$(xulrunner_depends)' \
	$(if $(DEB_HOST_MULTIARCH),'-Vnetx:Depends=icedtea-netx-common')

#	--prefix=/$(jdk_home) \

CONFIGURE_ARGS = \
	--prefix=/usr \
	--with-jdk-home=/$(jdk_home) \
	--with-pkgversion="$(PKGVERSION)"

ifneq ($(with_plugin_pkg),yes)
  CONFIGURE_ARGS += --disable-plugin
endif

p_netx = icedtea-netx
p_comm = icedtea-netx-common
p_plug = icedtea-plugin
d_netx = debian/$(p_netx)
d_comm = debian/$(p_comm)
d_plug = debian/$(p_plug)

debian/control: debian/control.in debian/rules
	@cp -p debian/control debian/control.old
	sed \
		-e 's/@bd_plugin@/$(bd_plugin)/g' \
	     debian/control.in \
	     $(if $(DEB_HOST_MULTIARCH),debian/control.common) \
		  > debian/control
	@if cmp -s debian/control debian/control.old; then \
	  rm -f debian/control.old; \
	else \
	  diff -u debian/control.old debian/control; \
	  echo "debian/control did change, please restart the build"; \
	  rm -f debian/control.old; \
	  exit 1; \
	fi

packaging-files:
	for f in debian/*.in; do \
	  case "$$f" in debian/control.in) continue; esac; \
	  case "$$f" in \
	    debian/PLUGIN.*.in) f2=$$(echo $$f | sed 's/PLUGIN/$(p_plug)/;s/\.in$$//');; \
	    *) f2=$$(echo $$f | sed 's/JB/$(basename)/;s/\.in$$//'); \
	  esac; \
	  sed \
	      -e 's/@basename@/$(basename)/g' \
	      -e 's/@vendor@/$(vendor)/g' \
	      -e 's/@RELEASE@/$(shortver)/g' \
	      -e 's,@TOP@,$(TOP),g' \
	      -e 's,@basedir@,$(basedir),g' \
	      -e 's,@jdirname@,$(jdirname),g' \
	      -e 's/@srcname@/$(srcname)/g' \
	      -e 's/@jvmarch@/$(jvmarch)/g' \
	      -e 's/@archdir@/$(archdir)/g' \
	      -e 's/@tag@/$(tag)/g' \
	      -e 's/@priority@/$(priority)/g' \
	      -e 's/@mantag@/$(mantag)/g' \
	      -e 's/@multiarch@/$(DEB_HOST_MULTIARCH)/g' \
	      -e 's/@jre_hl_tools@/$(jre_hl_tools_alt)/g' \
	      -e 's/@jre_tools@/$(jre_tools_alt)/g' \
	      -e 's/@jdk_tools@/$(jdk_tools_alt)/g' \
	      -e 's/@corba_tools@/$(corba_tools)/g' \
	      -e 's,@j2se_lib@,$(j2se_lib),g' \
	      -e 's,@j2se_share@,$(j2se_share),g' \
	      -e 's,@plugin_name@,$(plugin_name),g' \
	      -e 's/@pkg_plugin@/$(p_plug)/g' \
	      -e 's,@browser_dirs@,$(browser_plugin_dirs),g' \
	      -e 's,@last_npp_version@,$(last_npp_version),g' \
	      -e 's,@java_launcher@,$(java_launcher),g' \
	    $$f > $$f2; \
	done

configure: configure-stamp
configure-stamp:
	dh_testdir
	rm -rf build
	mkdir -p build
	cd build && ../configure $(CONFIGURE_ARGS)
	touch $@

build-arch: build-stamp
build-indep: build-stamp
build: build-stamp
build-stamp: configure-stamp
	dh_testdir
	$(MAKE) -C build
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f configure-stamp build-stamp
	rm -rf build
	for f in debian/*.in; do \
	  case "$$f" in \
	    debian/PLUGIN.*.in) f2=$$(echo $$f | sed 's/PLUGIN/$(p_plug)/;s/\.in$$//');; \
	    *) f2=$$(echo $$f | sed 's/JB/$(basename)/;s/\.in$$//'); \
	  esac; \
	  case "$$f2" in debian/control) continue; esac; \
	  rm -f $$f2; \
	done
	dh_clean

install: build packaging-files
	dh_testdir
	dh_testroot
	dh_clean -k
ifneq (,$(DEB_HOST_MULTIARCH))
	dh_installdirs -p$(p_comm) \
		usr/share/applications \
		usr/share/application-registry \
		usr/share/mime-info \
		etc/icedtea-web
	dh_installdirs -p$(p_netx) \
		$(jdk_home)/bin \
		$(jdk_home)/man/man1 \
		$(jdk_home)/jre/bin \
		$(jdk_home)/jre/man/man1
else
	dh_installdirs -p$(p_netx) \
		$(jdk_home)/bin \
		$(jdk_home)/man/man1 \
		$(jdk_home)/jre/bin \
		$(jdk_home)/jre/man/man1 \
		usr/share/applications \
		usr/share/application-registry \
		usr/share/mime-info \
		etc/icedtea-web
endif
	dh_installdirs -p$(p_plug) \
		$(jdk_home)/jre/lib/$(archdir) \
		usr/share/icedtea-web \
		$(foreach d, $(browser_plugin_dirs), usr/lib/$(d)/plugins)

	$(MAKE) -C build install DESTDIR=$(CURDIR)/$(d_netx)

	# FIXME: split out an icedtea-netx-doc package?
	rm -rf $(d_netx)/usr/share/doc/icedtea-web

	mv $(d_netx)/usr/bin/javaws $(d_netx)/$(jdk_home)/jre/bin/
	mv $(d_netx)/usr/share/man/man1/javaws.1 $(d_netx)/$(jdk_home)/jre/man/man1/

	dh_link -p$(p_netx) \
	  /$(jdk_home)/jre/bin/javaws /$(jdk_home)/bin/javaws \
	  /$(jdk_home)/jre/man/man1/javaws.1.gz /$(jdk_home)/man/man1/javaws.1.gz

	mv $(d_netx)/usr/lib/IcedTeaPlugin.so \
		$(d_plug)/$(jdk_home)/jre/lib/$(archdir)/

## icedtea-web 1.1.4

=== debian/changelog ===
icedtea-web (1.1.4-1) unstable; urgency=medium

  * New upstream release with security fix :
    - RH742515, CVE-2011-3377: IcedTea-Web: second-level domain subdomains
      and suffix domain SOP bypass

  [ Sylvestre Ledru ]
  * Fix a typo in the description. (Closes: #644538)

  [ Damien Raude-Morvan ]
  * Compress manpages. (Closes: #642975)

 -- Damien Raude-Morvan <drazzib@debian.org>  Fri, 11 Nov 2011 12:21:32 +0100

icedtea-web (1.1.3-2) unstable; urgency=low

  * Team upload
  * Sync from ubuntu
  * Explicit the dependency on the OpenJDK (Closes: #644045, #644094)
  * itweb-settings manpage added

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 04 Oct 2011 13:17:52 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: OpenJDK Team <openjdk@lists.launchpad.net>
 Uploaders: Matthias Klose <doko@ubuntu.com>, Damien Raude-Morvan <drazzib@debian.org>
-Build-Depends: debhelper (>= 5), firefox-dev, openjdk-6-jdk (>= 6b23~pre9~), zip, lsb-release, libgtk2.0-dev, pkg-config, default-jre-headless
+Build-Depends: debhelper (>= 5), xulrunner-dev (>= 1.9.1.3-3) [!alpha !sparc64], openjdk-6-jdk (>= 6b23~pre10~), zip, lsb-release, libgtk2.0-dev, pkg-config, default-jre-headless
 Standards-Version: 3.9.2
 Homepage: http://icedtea.classpath.org/wiki/IcedTea-Web
 Vcs-Bzr: http://bazaar.launchpad.net/~openjdk/openjdk/icedtea-web
@@ -11,7 +11,7 @@
 
 Package: icedtea-netx
 Architecture: any
-Depends: ${netx:Depends}, openjdk-6-jre (>= 6b23~pre9~), ${shlibs:Depends}, ${misc:Depends}
+Depends: ${netx:Depends}, openjdk-6-jre (>= 6b23~pre10~), ${shlibs:Depends}, ${misc:Depends}
 Conflicts: openjdk-6-jre (<< 6b18-1.8.7-3), openjdk-6-jre-headless (<< 6b18-1.8.7-3)
 Replaces: openjdk-6-jre (<< 6b18-1.8.7-3), openjdk-6-jre-headless (<< 6b18-1.8.7-3)
 Description: NetX - implementation of the Java Network Launching Protocol (JNLP)
@@ -49,3 +49,15 @@
  browsers that support the NPAPI.
  .
  This is a dependency package, it can be safely removed after upgrade.
+
+Package: icedtea-netx-common
+Architecture: all
+Depends: openjdk-6-jre (>= 6b23~pre9~), ${misc:Depends}
+Conflicts: openjdk-6-jre (<< 6b18-1.8.7-3), openjdk-6-jre-headless (<< 6b18-1.8.7-3)
+Replaces: icedtea-netx (<< 1.1.2-1~), icedtea-plugin (<< 1.1.2-1~), openjdk-6-jre (<< 6b18-1.8.7-3), openjdk-6-jre-headless (<< 6b18-1.8.7-3)
+Description: NetX - implementation of the Java Network Launching Protocol (JNLP)
+ NetX provides a drop-in replacement for javaws (Java Web Start). Since
+ upstream NetX is dormant, IcedTea is hosting and modifying the sources
+ in the IcedTea-Web directory.
+ .
+ This package contains the architecture independent files.

=== debian/rules ===
--- 
+++ 
@@ -245,10 +245,9 @@
 
 	mv $(d_netx)/usr/bin/javaws $(d_netx)/$(jdk_home)/jre/bin/
 	mv $(d_netx)/usr/share/man/man1/javaws.1 $(d_netx)/$(jdk_home)/jre/man/man1/
-
-	dh_link -p$(p_netx) \
-	  /$(jdk_home)/jre/bin/javaws /$(jdk_home)/bin/javaws \
-	  /$(jdk_home)/jre/man/man1/javaws.1.gz /$(jdk_home)/man/man1/javaws.1.gz
-
-	mv $(d_netx)/usr/lib/IcedTeaPlugin.so \
-		$(d_plug)/$(jdk_home)/jre/lib/$(archdir)/
+	mv $(d_netx)/usr/bin/itweb-settings $(d_netx)/$(jdk_home)/jre/bin/
+	mv debian/itweb-settings.1 $(d_netx)/$(jdk_home)/jre/man/man1/
+	
+	# compress manpages
+	find $(d_netx)/$(jdk_home)/jre/man/man1/ -type f ! -type l | xargs gzip -9v
+

## icedtea-web 1.2

=== debian/changelog ===
icedtea-web (1.2-2ubuntu1.3) precise-security; urgency=low

  * SECURITY UPDATE: Fix denial of service in exception handling
    - debian/patches/icedtea-web-CVE-2012-4540.patch: adjust off by one in
      exception string storage in IcedTeaScriptablePluginObject.cc. Also fix
      two memory leaks.
    - CVE-2012-4540

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 06 Nov 2012 06:56:27 -0600

icedtea-web (1.2-2ubuntu1.2) precise-proposed; urgency=low

  * debian/patches/fix-plugin-error-on-chromium.patch: fix plugin
    table initialization to check only that the subset of hooks that
    it uses exists. (LP: #1025553)
  * debian/control, debian/control.common: adjust so that
    icedtea-netx-common replaces icedtea-plugin in oneiric
    (LP: #1002516)

 -- Steve Beattie <sbeattie@ubuntu.com>  Fri, 03 Aug 2012 17:09:06 -0700

icedtea-web (1.2-2ubuntu1.1) precise-security; urgency=low

  * SECURITY UPDATE: uninitialized pointer use flaw
    - debian/patches/icedtea-web-CVE-2012-3422.patch: check for empty
      instance_to_id_map hash and return error if so.
    - CVE-2012-3422
  * SECURITY UPDATE: incorrect handling of non NULL terminated strings
    - debian/patches/icedtea-web-CVE-2012-3423.patch: ensure NPVariant
      NPStrings are NULL terminated.
    - CVE-2012-3423
  * debian/control, debian/control.common: add replaces on icedtea-net
    and icedtea-6-plugin for conflicting files in older releases,
    caused by icedtea-web security pocket backport to those releases
    in conjunction with openjdk-6 security backport (LP: #1024708)

 -- Steve Beattie <sbeattie@ubuntu.com>  Fri, 27 Jul 2012 23:14:25 -0700

icedtea-web (1.2-2ubuntu1) precise; urgency=low

  * Regenerate the control file.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 09 Apr 2012 16:44:35 +0200

icedtea-web (1.2-2) unstable; urgency=low

  * Fix interpreter path and classpath for OpenJDK7. Closes: #663895.
  * Update to the 1.2 release branch 20120409.
    - Fix PR895 (IcedTea-Web searches for missing classes on each
      loadClass or findClass).

 -- Matthias Klose <doko@ubuntu.com>  Mon, 09 Apr 2012 16:15:17 +0200

icedtea-web (1.2-1ubuntu1) precise; urgency=low

  * Regenerate the control file.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 09 Mar 2012 02:09:38 +0100

icedtea-web (1.2-1) unstable; urgency=low

  * IcedTea-Web 1.2 release.
  * Make icedtea-netx-common multi-arch installable.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 09 Mar 2012 01:13:55 +0100

icedtea-web (1.2~pre3-3) unstable; urgency=low

  * Really use OpenJDK 7 for the icedtea-7 plugin. Closes: #662239.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 04 Mar 2012 23:47:57 +0100

icedtea-web (1.2~pre3-2) unstable; urgency=low

  * Fix another quoting issue. Closes: #662039.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 04 Mar 2012 13:18:02 +0100

icedtea-web (1.2~pre3-1ubuntu1) precise; urgency=low

  * Regenerate the control file.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 03 Mar 2012 12:35:35 +0100

icedtea-web (1.2~pre3-1) unstable; urgency=low

  * Update to hg 20120303, taken from the icedtea-web-1.2 release branch.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 03 Mar 2012 12:30:45 +0100

icedtea-web (1.2~pre2-1ubuntu2) precise; urgency=low

  * debian/rules: Fix quoting issue.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 27 Feb 2012 14:38:24 +0100

icedtea-web (1.2~pre2-1ubuntu1) precise; urgency=low

  * icedtea-netx-common: Drop dependency on OpenJDK. Closes: #661428.
  * Robustify maintainer scripts. Closes: #661424.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 27 Feb 2012 10:53:13 +0100

icedtea-web (1.2~pre2-1) unstable; urgency=low

  * Regenerate the control file.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 26 Feb 2012 17:48:03 +0100

icedtea-web (1.2~pre2-0ubuntu1) precise; urgency=low

  * Update to hg 20120226, taken from the icedtea-web-1.2 release branch.
  * Fix icedtea-7-plugin update.
  * Apply proposed patch for PR820, crashes with Firefox 10.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 26 Feb 2012 17:26:04 +0100

icedtea-web (1.2~pre1-0ubuntu1) precise; urgency=low

  * Update to hg 20120203, taken from the icedtea-web-1.2 release branch.
  * Build separate plugin packages for OpenJDK 6 and OpenJDK 7, needed
    to provide the path to the runtime and the mime description in the plugin.
    Closes: #646843.
  * Use icedtea-<jre version>-plugin as the name for both plugin packages.
  * Remove icedtea-web-1.1.4-npapi-fix.patch, fixed upstream.
  * Pass -n to gzip when compressing manpages to be Multi-Arch: same safe.
  * Build multiarch packages.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 04 Feb 2012 18:19:46 +0100

=== debian/control ===
Source: icedtea-web
Section: java
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: OpenJDK Team <openjdk@lists.launchpad.net>
Uploaders: Matthias Klose <doko@ubuntu.com>, Damien Raude-Morvan <drazzib@debian.org>
Build-Depends: debhelper (>= 5), firefox-dev, openjdk-6-jdk (>= 6b23~pre10~), zip, lsb-release, libgtk2.0-dev, pkg-config, default-jre-headless
Standards-Version: 3.9.3
Homepage: http://icedtea.classpath.org/wiki/IcedTea-Web
Vcs-Bzr: http://bazaar.launchpad.net/~openjdk/openjdk/icedtea-web
Vcs-Browser: https://code.launchpad.net/~openjdk/openjdk/icedtea-web

Package: icedtea-netx
Architecture: any
Multi-Arch: same
Depends: ${netx:Depends}, openjdk-6-jre (>= 6b23~pre10~) | openjdk-7-jre, ${shlibs:Depends}, ${misc:Depends}
Conflicts: openjdk-6-jre (<< 6b18-1.8.7-3), openjdk-6-jre-headless (<< 6b18-1.8.7-3)
Replaces: openjdk-6-jre (<< 6b18-1.8.7-3), openjdk-6-jre-headless (<< 6b18-1.8.7-3)
Description: NetX - implementation of the Java Network Launching Protocol (JNLP)
 NetX provides a drop-in replacement for javaws (Java Web Start). Since
 upstream NetX is dormant, IcedTea is hosting and modifying the sources
 in the IcedTea-Web directory.
 .
 IcedTea's NetX currently supports verification of signed jars, trusted
 certificate storing, system certificate store checking, and provides
 the services specified by the jnlp API.

Package: icedtea6-plugin
Section: web
Architecture: all
Depends: icedtea-6-plugin, ${misc:Depends}
Description: web browser plugin to execute Java applets (dependency package)
 IcedTeaPlugin is a web browser plugin to execute Java applets, supporting
 LiveConnect/JavaScript. It is targeted for xulrunner-1.9 and compatible
 browsers that support the NPAPI.
 .
 This is a dependency package, it can be safely removed after upgrade.

Package: icedtea-plugin
Section: web
Architecture: all
Depends: icedtea-6-plugin, ${misc:Depends}
Description: web browser plugin to execute Java applets (dependency package)
 IcedTeaPlugin is a web browser plugin to execute Java applets, supporting
 LiveConnect/JavaScript. It is targeted for xulrunner-1.9 and compatible
 browsers that support the NPAPI.
 .
 This is a dependency package, it can be safely removed after upgrade.

Package: icedtea-netx-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Conflicts: openjdk-6-jre (<< 6b18-1.8.7-3), openjdk-6-jre-headless (<< 6b18-1.8.7-3)
Replaces: icedtea-netx (<< ${binary:Version}), icedtea-plugin (<< 1.2-1~), icedtea-6-plugin (<< ${binary:Version}), openjdk-6-jre (<< 6b18-1.8.7-3), openjdk-6-jre-headless (<< 6b18-1.8.7-3)
Description: NetX - implementation of the Java Network Launching Protocol (JNLP)
 NetX provides a drop-in replacement for javaws (Java Web Start). Since
 upstream NetX is dormant, IcedTea is hosting and modifying the sources
 in the IcedTea-Web directory.
 .
 This package contains the architecture independent files.

Package: icedtea-6-plugin
Section: web
Architecture: any
Multi-Arch: same
Depends: openjdk-6-jre, icedtea-netx (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Conflicts: icedtea-gcjwebplugin (<< 1.0-1ubuntu4), icedtea6-plugin (<< 6b21.2~pre1-1~), icedtea-plugin (<< 1.2~pre1-1~)
Replaces: icedtea-gcjwebplugin, openjdk-6-jre (<< 6b18-1.8.7-3), icedtea-plugin (<< 1.2~pre1-1~)
Provides: icedtea6-plugin
Xb-Npp-Description: IcedTea Java Web Browser Plugin for OpenJDK 6 (execution of applets on web pages)
Xb-Npp-Applications: ec8030f7-c20a-464f-9b0e-13a3a9e97384, 92650c4d-4b8e-4d2a-b7eb-24ecf4f6b63a, aa5ca914-c309-495d-91cf-3141bbb04115
Xb-Npp-Name: The IcedTea Web Browser Plugin
Xb-Npp-MimeType: application/x-java-vm, application/x-java-applet, application/x-java-applet;version=1.1, application/x-java-applet;version=1.1.1, application/x-java-applet;version=1.1.2, application/x-java-applet;version=1.1.3, application/x-java-applet;version=1.2, application/x-java-applet;version=1.2.1, application/x-java-applet;version=1.2.2, application/x-java-applet;version=1.3, application/x-java-applet;version=1.3.1, application/x-java-applet;version=1.4, application/x-java-applet;version=1.4.1, application/x-java-applet;version=1.4.2, application/x-java-applet;version=1.5, application/x-java-applet;version=1.6, application/x-java-applet;jpi-version=1.6.0_00, application/x-java-bean, application/x-java-bean;version=1.1, application/x-java-bean;version=1.1.1, application/x-java-bean;version=1.1.2, application/x-java-bean;version=1.1.3, application/x-java-bean;version=1.2, application/x-java-bean;version=1.2.1, application/x-java-bean;version=1.2.2, application/x-java-bean;version=1.3, application/x-java-bean;version=1.3.1, application/x-java-bean;version=1.4, application/x-java-bean;version=1.4.1, application/x-java-bean;version=1.4.2, application/x-java-bean;version=1.5, application/x-java-bean;version=1.6, application/x-java-bean;jpi-version=1.6.0_00
Description: web browser plugin based on OpenJDK and IcedTea to execute Java applets
 IcedTeaPlugin is a web browser plugin to execute Java applets, supporting
 LiveConnect/JavaScript. It is targeted for xulrunner-1.9 and compatible
 browsers that support the NPAPI.

Package: icedtea-7-plugin
Section: web
Architecture: any
Multi-Arch: same
Depends: openjdk-7-jre, icedtea-netx (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Conflicts: icedtea-gcjwebplugin (<< 1.0-1ubuntu4), icedtea6-plugin (<< 6b21.2~pre1-1~), icedtea-plugin (<< 1.2~pre1-1~)
Xb-Npp-Description: IcedTea Java Web Browser Plugin for OpenJDK 7 (execution of applets on web pages)
Xb-Npp-Applications: ec8030f7-c20a-464f-9b0e-13a3a9e97384, 92650c4d-4b8e-4d2a-b7eb-24ecf4f6b63a, aa5ca914-c309-495d-91cf-3141bbb04115
Xb-Npp-Name: The IcedTea Web Browser Plugin
Xb-Npp-MimeType: application/x-java-vm, application/x-java-applet, application/x-java-applet;version=1.1, application/x-java-applet;version=1.1.1, application/x-java-applet;version=1.1.2, application/x-java-applet;version=1.1.3, application/x-java-applet;version=1.2, application/x-java-applet;version=1.2.1, application/x-java-applet;version=1.2.2, application/x-java-applet;version=1.3, application/x-java-applet;version=1.3.1, application/x-java-applet;version=1.4, application/x-java-applet;version=1.4.1, application/x-java-applet;version=1.4.2, application/x-java-applet;version=1.5, application/x-java-applet;version=1.6, application/x-java-applet;version=1.7, application/x-java-applet;jpi-version=1.7.0_00, application/x-java-bean, application/x-java-bean;version=1.1, application/x-java-bean;version=1.1.1, application/x-java-bean;version=1.1.2, application/x-java-bean;version=1.1.3, application/x-java-bean;version=1.2, application/x-java-bean;version=1.2.1, application/x-java-bean;version=1.2.2, application/x-java-bean;version=1.3, application/x-java-bean;version=1.3.1, application/x-java-bean;version=1.4, application/x-java-bean;version=1.4.1, application/x-java-bean;version=1.4.2, application/x-java-bean;version=1.5, application/x-java-bean;version=1.6, application/x-java-bean;version=1.7, application/x-java-bean;jpi-version=1.7.0_00
Description: web browser plugin based on OpenJDK and IcedTea to execute Java applets
 IcedTeaPlugin is a web browser plugin to execute Java applets, supporting
 LiveConnect/JavaScript. It is targeted for xulrunner-1.9 and compatible
 browsers that support the NPAPI.

=== debian/rules ===
--- 
+++ 
@@ -25,6 +25,12 @@
     DEB_HOST_MULTIARCH =
     multiarch_dir =
   endif
+endif
+jre_versions = 6
+# for simplicity build the plugin for 7 for multiarch setup only,
+# anything else requires backports.
+ifneq (,$(DEB_HOST_MULTIARCH))
+  jre_versions += 7
 endif
 
 arch_map	 := alpha=alpha arm=arm armel=arm amd64=amd64 hppa=parisc i386=i586 lpia=i586 m68k=m68k mips=mips mipsel=mipsel powerpc=ppc powerpcspe=ppc ppc64=ppc64 sparc=sparc sparc64=sparc64 sh4=sh s390=s390 s390x=s390x ia64=ia64
@@ -41,14 +47,20 @@
 basename = openjdk-$(shortver)
 ifneq (,$(DEB_HOST_MULTIARCH))
   jdk_home = $(TOP)/java-6-openjdk-$(DEB_HOST_ARCH)
+  jdk7_home = $(TOP)/java-7-openjdk-$(DEB_HOST_ARCH)
 else
   jdk_home = $(TOP)/java-6-openjdk
+  jdk7_home = $(TOP)/java-7-openjdk
 endif
 basedir = $(jdk_home)
+base7dir = $(jdk7_home)
 vendor = IcedTea
 shortver = 6
 last_npp_version = 6b18~pre2-2
 priority = 1061
+# not yet higher than for 6
+priority7 = 1071
+priority7 = 1060
 plugin_name = IcedTeaPlugin.so
 
 ifneq (,$(filter $(DEB_HOST_ARCH), alpha hppa sparc64)$(filter $(distrel), dapper))
@@ -97,6 +109,7 @@
 endif
 
 java_launcher = /$(basedir)/bin/java
+java7_launcher = /$(base7dir)/bin/java
 ifeq ($(distribution),Ubuntu)
   ifeq (,$(filter $(distrel),karmic jaunty intrepid hardy gutsy feisty edgy dapper))
     java_launcher = cautious-launcher %f /$(basedir)/bin/java
@@ -105,13 +118,12 @@
 
 control_vars = \
 	'-Vxulrunner:Depends=$(xulrunner_depends)' \
-	$(if $(DEB_HOST_MULTIARCH),'-Vnetx:Depends=icedtea-netx-common')
+	$(if $(DEB_HOST_MULTIARCH),'-Vnetx:Depends=icedtea-netx-common (>= $${binary:Version})')
 
 #	--prefix=/$(jdk_home) \
 
 CONFIGURE_ARGS = \
 	--prefix=/usr \
-	--with-jdk-home=/$(jdk_home) \
 	--with-pkgversion="$(PKGVERSION)"
 
 ifneq ($(with_plugin_pkg),yes)
@@ -120,10 +132,12 @@
 
 p_netx = icedtea-netx
 p_comm = icedtea-netx-common
-p_plug = icedtea-plugin
+p_plug = icedtea-6-plugin
+p_plug7 = icedtea-7-plugin
 d_netx = debian/$(p_netx)
 d_comm = debian/$(p_comm)
 d_plug = debian/$(p_plug)
+d_plug7 = debian/$(p_plug7)
 
 debian/control: debian/control.in debian/rules
 	@cp -p debian/control debian/control.old
@@ -131,6 +145,9 @@
 		-e 's/@bd_plugin@/$(bd_plugin)/g' \
 	     debian/control.in \
 	     $(if $(DEB_HOST_MULTIARCH),debian/control.common) \
+	     $(if $(filter 6, $(jre_versions)),debian/control.6) \
+	     $(if $(filter 7, $(jre_versions)),debian/control.7) \
+	     $(if $(DEB_HOST_MULTIARCH),,| grep -v '^Multi-Arch:') \
 		  > debian/control
 	@if cmp -s debian/control debian/control.old; then \
 	  rm -f debian/control.old; \
@@ -146,6 +163,7 @@
 	  case "$$f" in debian/control.in) continue; esac; \
 	  case "$$f" in \
 	    debian/PLUGIN.*.in) f2=$$(echo $$f | sed 's/PLUGIN/$(p_plug)/;s/\.in$$//');; \
+	    debian/PLUGIN7.*.in) f2=$$(echo $$f | sed 's/PLUGIN7/$(p_plug7)/;s/\.in$$//');; \
 	    *) f2=$$(echo $$f | sed 's/JB/$(basename)/;s/\.in$$//'); \
 	  esac; \
 	  sed \
@@ -154,100 +172,76 @@
 	      -e 's/@RELEASE@/$(shortver)/g' \
 	      -e 's,@TOP@,$(TOP),g' \
 	      -e 's,@basedir@,$(basedir),g' \
+	      -e 's,@base7dir@,$(base7dir),g' \
 	      -e 's,@jdirname@,$(jdirname),g' \
 	      -e 's/@srcname@/$(srcname)/g' \
 	      -e 's/@jvmarch@/$(jvmarch)/g' \
 	      -e 's/@archdir@/$(archdir)/g' \
 	      -e 's/@tag@/$(tag)/g' \
 	      -e 's/@priority@/$(priority)/g' \
+	      -e 's/@priority7@/$(priority7)/g' \
 	      -e 's/@mantag@/$(mantag)/g' \
 	      -e 's/@multiarch@/$(DEB_HOST_MULTIARCH)/g' \
-	      -e 's/@jre_hl_tools@/$(jre_hl_tools_alt)/g' \
-	      -e 's/@jre_tools@/$(jre_tools_alt)/g' \
-	      -e 's/@jdk_tools@/$(jdk_tools_alt)/g' \
-	      -e 's/@corba_tools@/$(corba_tools)/g' \
-	      -e 's,@j2se_lib@,$(j2se_lib),g' \
-	      -e 's,@j2se_share@,$(j2se_share),g' \
 	      -e 's,@plugin_name@,$(plugin_name),g' \
-	      -e 's/@pkg_plugin@/$(p_plug)/g' \
+	      -e 's/@pkg_plugin7@/$(p_plug7)/g' \
 	      -e 's,@browser_dirs@,$(browser_plugin_dirs),g' \
 	      -e 's,@last_npp_version@,$(last_npp_version),g' \
 	      -e 's,@java_launcher@,$(java_launcher),g' \
+	      -e 's,@java7_launcher@,$(java7_launcher),g' \
 	    $$f > $$f2; \
 	done
 
-configure: configure-stamp
+configure: configure-stamp $(if $(filter 7,$(jre_versions)),configure7-stamp)
 configure-stamp:
 	dh_testdir
 	rm -rf build
 	mkdir -p build
-	cd build && ../configure $(CONFIGURE_ARGS)
+	cd build \
+	  && ../configure $(CONFIGURE_ARGS) --with-jdk-home=/$(jdk_home)
+	touch $@
+configure7-stamp:
+	dh_testdir
+	rm -rf build7
+	mkdir -p build7
+	cd build7 \
+	  && ../configure $(CONFIGURE_ARGS) --with-jdk-home=/$(jdk_home)
 	touch $@
 
 build-arch: build-stamp
 build-indep: build-stamp
-build: build-stamp
+build: build-stamp  $(if $(filter 7,$(jre_versions)),build7-stamp)
 build-stamp: configure-stamp
 	dh_testdir
 	$(MAKE) -C build
 	touch $@
+build7-stamp: configure7-stamp
+	dh_testdir
+	$(MAKE) -C build7 VERSION_DEFS='-DHAVE_JAVA7 -DICEDTEA_WEB_JRE="\"/$(jdk7_home)\""'
+	touch $@
 
 clean:
 	dh_testdir
 	dh_testroot
-	rm -f configure-stamp build-stamp
-	rm -rf build
+	rm -f *-stamp
+	rm -rf build build7
 	for f in debian/*.in; do \
 	  case "$$f" in \
 	    debian/PLUGIN.*.in) f2=$$(echo $$f | sed 's/PLUGIN/$(p_plug)/;s/\.in$$//');; \
+	    debian/PLUGIN7.*.in) f2=$$(echo $$f | sed 's/PLUGIN7/$(p_plug7)/;s/\.in$$//');; \
 	    *) f2=$$(echo $$f | sed 's/JB/$(basename)/;s/\.in$$//'); \
 	  esac; \
 	  case "$$f2" in debian/control) continue; esac; \
 	  rm -f $$f2; \
 	done
+	rm -rf debian/tmp7
 	dh_clean
 
 install: build packaging-files
 	dh_testdir
 	dh_testroot
 	dh_clean -k
-ifneq (,$(DEB_HOST_MULTIARCH))
-	dh_installdirs -p$(p_comm) \
-		usr/share/applications \
-		usr/share/application-registry \
-		usr/share/mime-info \
-		etc/icedtea-web
 	dh_installdirs -p$(p_netx) \
 		$(jdk_home)/bin \
 		$(jdk_home)/man/man1 \
 		$(jdk_home)/jre/bin \
 		$(jdk_home)/jre/man/man1
-else
-	dh_installdirs -p$(p_netx) \
-		$(jdk_home)/bin \
-		$(jdk_home)/man/man1 \
-		$(jdk_home)/jre/bin \
-		$(jdk_home)/jre/man/man1 \
-		usr/share/applications \
-		usr/share/application-registry \
-		usr/share/mime-info \
-		etc/icedtea-web
-endif
-	dh_installdirs -p$(p_plug) \
-		$(jdk_home)/jre/lib/$(archdir) \
-		usr/share/icedtea-web \
-		$(foreach d, $(browser_plugin_dirs), usr/lib/$(d)/plugins)
-
-	$(MAKE) -C build install DESTDIR=$(CURDIR)/$(d_netx)
-
-	# FIXME: split out an icedtea-netx-doc package?
-	rm -rf $(d_netx)/usr/share/doc/icedtea-web
-
-	mv $(d_netx)/usr/bin/javaws $(d_netx)/$(jdk_home)/jre/bin/
-	mv $(d_netx)/usr/share/man/man1/javaws.1 $(d_netx)/$(jdk_home)/jre/man/man1/
-	mv $(d_netx)/usr/bin/itweb-settings $(d_netx)/$(jdk_home)/jre/bin/
-	mv debian/itweb-settings.1 $(d_netx)/$(jdk_home)/jre/man/man1/
-	
-	# compress manpages
-	find $(d_netx)/$(jdk_home)/jre/man/man1/ -type f ! -type l | xargs gzip -9v
-

## icedtea-web 1.2.3

=== debian/changelog ===
icedtea-web (1.2.3-0ubuntu0.12.04.4) precise-security; urgency=medium

  * SECURITY UPDATE: info disclosure via insecure temporary directory use
    - debian/patches/CVE-2013-6493.patch: create safe directory in
      plugin/icedteanp/IcedTeaNPPlugin.cc, added helper functions to
      plugin/icedteanp/IcedTeaPluginUtils.*.
    - CVE-2013-6493
  * fix ftbfs with newer xulrunner:
    - debian/rules: added -std=gnu++0x to CXXFLAGS

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 04 Mar 2014 16:03:01 -0500

icedtea-web (1.2.3-0ubuntu0.12.04.3) precise-security; urgency=low

  * debian/patches/work-with-icedtea-8004584.patch: work with OpenJDK build 25

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 01 Jul 2013 13:27:03 -0500

icedtea-web (1.2.3-0ubuntu0.12.04.2) precise-security; urgency=low

  * Revert PR1161: X509VariableTrustManager does not work correctly with
    OpenJDK7. The fix for PR1161 is needed for IcedTea 2.3.x and not 1.12.
    We need to keep this patch reverted as long as we build icedtea-web
    against 1.12 (LP: #1171506)

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 22 Apr 2013 16:47:22 -0500

icedtea-web (1.2.3-0ubuntu0.12.04.1) precise-security; urgency=low

  * IcedTea-Web 1.2.3 release.
  * Security Updates:
    - CVE-2013-1927: fixed gifar vulnerability.
    - CVE-2013-1926: Class-loader incorrectly shared for applets with same
      relative-path.
  * Common:
    - PR1161: X509VariableTrustManager does not work correctly with OpenJDK7.
  * NetX:
    - PR580: http://www.horaoficial.cl/ loads improperly.
  * Plugin:
    - PR1157: Applets can hang browser after fatal exception.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Apr 2013 01:06:18 +0200

icedtea-web (1.2.2-0ubuntu1) precise-proposed; urgency=low

  * Update to the 1.2.2 bug fix release. LP: #1131479.
    - Includes security fixes uploaded earlier.
    - Bug fixes:
      - PR1106: Buffer overflow in plugin table.
      - PR898: signed applications with big jnlp-file doesn't start (webstart
        affect like "frozen").
      - PR811: javaws is not handling urls with spaces (and other characters
        needing encoding) correctly.
      - S816592: icedtea-web not loading GeoGebra java applets in Firefox
        or Chrome.
      - PR863: Error passing strings to applet methods in Chromium.
      - PR895: IcedTea-Web searches for missing classes on each loadClass
        or findClass.
      - PR518: NPString.utf8characters not guaranteed to be nul-terminated.
      - Disambiguate signed applet security prompt from certificate warning.
  * Search both OpenJDK-6 and OpenJDK-7 when starting itweb-settings.
    LP: #1078424.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 08 Feb 2013 01:38:16 +0100

=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,8 @@
 CHANGELOG_VARS := $(shell dpkg-parsechangelog | sed -n 's/ /_/g;/^[^_]/s/^\([^:]*\):_\(.*\)/\1=\2/p')
 PKGSOURCE := $(call vafilt,$(CHANGELOG_VARS),Source)
 PKGVERSION := $(call vafilt,$(CHANGELOG_VARS),Version)
+
+CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) -std=gnu++0x
 
 distribution := $(shell lsb_release --id --short)
 distrel := $(shell lsb_release --codename --short)
@@ -242,6 +244,3 @@
 	dh_clean -k
 	dh_installdirs -p$(p_netx) \
 		$(jdk_home)/bin \
-		$(jdk_home)/man/man1 \
-		$(jdk_home)/jre/bin \
-		$(jdk_home)/jre/man/man1
